# The package uses a bizarre library scheme that requires many symbols used in
# the library be defined in the main application
# %%define _disable_ld_no_undefined 1

Summary:	Emilia 3d Pinball
Name:		pinball
Version:	0.3.3
Release:	%mkrel 1
Source0:	https://github.com/sergiomb2/pinball/archive/%{version}/%{name}-%{version}.tar.gz
# core license is GPL+
# gnu table licenses are (GFDL or Free Art or CC-BY-SA) and GPLv3 and CC-BY-SA
# hurd table license is GPLv2+
License: GPL+ and (GFDL or Free Art or CC-BY-SA) and GPLv3 and CC-BY-SA and GPLv2+
Group:		Games/Arcade
URL:		http://pinball.sourceforge.net/
BuildRequires:	freeglut-devel
BuildRequires:	SDL-devel
BuildRequires:	SDL_image-devel
BuildRequires:	libice-devel
BuildRequires:	SDL_mixer-devel
BuildRequires:	libtool-devel
BuildRequires:	libsm-devel
Recommends:	TiMidity++

%description
The Emilia Pinball projects is an open source pinball simulator for linux
and other unix systems. The current release features a number of tables:
tux, professor, professor2, gnu and hurd and is very addictive.

%prep
%setup -q

%build
autoreconf -fi
%configure2_5x \
	--datadir=%{_gamesdatadir} \
	--bindir=%{_gamesbindir} \
	--with-pic \
	--with-gnu-ld
# parallel make still broken as of 0.3.3
make

%install
%make_install

mkdir -p %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/%{name}.desktop << EOF
[Desktop Entry]
Name=Pinball
Comment=Emilia 3D pinball
Name[fr]=Flipper
Comment[fr]=Flipper en 3D Emilia
Exec=%{name}
Icon=%{name}
Terminal=false
Type=Application
Categories=Game;ArcadeGame;
EOF

install -D -m644 pinball.png %{buildroot}%{_iconsdir}/hicolor/48x48/apps/%{name}.png
install -D -m644 pinball.appdata.xml %{buildroot}%{_datadir}/appdata/%{name}.appdata.xml

# Remove development files untill someone wants them.
# The .la files are needed
rm -rf %{buildroot}%{_includedir}/%{name} \
    %{buildroot}%{_libdir}/%{name}/*.a \
    %{buildroot}%{_libdir}/%{name}/*.so \
    %{buildroot}%{_libdir}/%{name}/libModuleTest.*
rm -f  %{buildroot}%{_gamesbindir}/%{name}-config

# remove unused global higescorefiles:
rm -fr %{buildroot}%{_localstatedir}

%files
%doc README ChangeLog
%{_datadir}/appdata/%{name}.appdata.xml
%{_datadir}/applications/%{name}.desktop
%{_gamesbindir}/%{name}
%{_gamesdatadir}/%{name}/
%{_iconsdir}/hicolor/48x48/apps/%{name}.png
%dir %{_libdir}/%{name}
%{_libdir}/%{name}/*.la
%{_libdir}/%{name}/*.so.*


%changelog
* Sat Nov 12 2016 akien <akien> 0.3.3-1.mga6
+ Revision: 1066863
- Recommends TiMidity++ for music
- Version 0.3.3
- Improve description and license field
- Simplify %%install section

* Sun Jan 10 2016 danf <danf> 0.3.2-2.mga6
+ Revision: 921242
- Fix linking with the bizarre symbol resolution scheme used here

* Wed Oct 28 2015 zezinho <zezinho> 0.3.2-1.mga6
+ Revision: 896000
- new build require : libsm
- new upstream on github -new tables -patches applied

* Wed Oct 15 2014 umeabot <umeabot> 0.3.1-21.mga5
+ Revision: 740609
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.3.1-20.mga5
+ Revision: 687597
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 0.3.1-19.mga4
+ Revision: 527773
- Mageia 4 Mass Rebuild

* Wed Jun 12 2013 zezinho <zezinho> 0.3.1-18.mga4
+ Revision: 442203
- fix desktop file comment

* Sun Jan 13 2013 umeabot <umeabot> 0.3.1-17.mga3
+ Revision: 377743
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Jan 06 2013 cjw <cjw> 0.3.1-16.mga3
+ Revision: 340000
- patch13: fix build with automake 1.13

* Mon Feb 06 2012 zezinho <zezinho> 0.3.1-15.mga2
+ Revision: 205625
- added dot la files back since they are needed to load a table

* Wed Dec 07 2011 fwang <fwang> 0.3.1-14.mga2
+ Revision: 178071
- fix linkage
- fix build
- more patch on gcc 4.6
- fix build with gcc 4.6
- drop .la files

* Sun Nov 06 2011 zezinho <zezinho> 0.3.1-13.mga2
+ Revision: 164451
- autoreconf needed
- imported package pinball

